<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 07.04.2007
     developed and tested with DVD Profiler Version 3.0 XML-export
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:include href="templates/template-genres.xsl"/>
  <xsl:include href="templates/template-regions.xsl"/>
  <xsl:include href="templates/template-subtitles.xsl"/>
  <xsl:include href="templates/template-credits.xsl"/>
  <xsl:include href="templates/template-audio.xsl"/>

<xsl:output method="html"
  encoding="ISO-8859-1"
  doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
  doctype-system="http://www.w3.org/TR/html401/loose.dtd"/>

<!-- ***************
     To make use of the DVD cover images, change the first following variable to the path
     of the local installation of DVD Profiler
     
     Note that the thumbnails won't exist unless you've already run a report inside
     DVD Profiler that makes use of them, such as the IVS Classic DVD Listing.
     
     *************** -->

<xsl:variable name="dvdprofilerpath"></xsl:variable>
<xsl:variable name="dvdprofilerimagespath"><xsl:value-of select="$dvdprofilerpath"/>dvdcover</xsl:variable>
<xsl:variable name="dvdprofilerthumbnailspath"><xsl:value-of select="$dvdprofilerimagespath"/>/thumbnails</xsl:variable>

<!-- ***************
     The following is the "Image Not Available" graphic.  Not sure how to determine when
     the image isn't available, so isn't used for now.
     *************** -->
<xsl:variable name="noimagefile"><xsl:value-of select="$dvdprofilerpath"/>/media/sysimagena.jpg</xsl:variable>


<!-- ***************
     The code generated with this XSLT transform also includes classes useable
     with stylesheet code.  You may create that stylesheet to fit your needs.
     *************** -->

<xsl:template match="Collection">
<html>
  <head>
    <title>Mithis Anime-Collection</title>
    <meta name="author" content="Michael Cordes"/>
    <link rel="stylesheet" type="text/css" href="/privat/dvd-list.css"/>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
    <link rel="shortcut icon" href="/privat/favicon.ico" type="image/x-icon"/>
  </head>
  <body>
    <h1>Mithis Anime-Collection</h1>
    <br/><br/>
    <table class="box" cellpadding="0" summary="DVD Liste" align="center">
        <xsl:apply-templates select="DVD"><xsl:sort select="SortTitle"/></xsl:apply-templates>
    </table>
  </body>
</html>
</xsl:template>


<xsl:template match="DVD">
  <xsl:variable name="thumbnail">
    <xsl:value-of select="$dvdprofilerthumbnailspath"/>
    <xsl:text>/</xsl:text>
    <xsl:value-of select="ID"/>
    <xsl:text>f.jpg</xsl:text>
  </xsl:variable>
  <xsl:variable name="frontcover">
    <xsl:value-of select="$dvdprofilerimagespath"/>
    <xsl:text>/</xsl:text>
    <xsl:value-of select="ID"/>
    <xsl:text>f.jpg</xsl:text>
  </xsl:variable>
  <xsl:variable name="backcover">
    <xsl:value-of select="$dvdprofilerimagespath"/>
    <xsl:text>/</xsl:text>
    <xsl:value-of select="ID"/>
    <xsl:text>b.jpg</xsl:text>
  </xsl:variable>
<!-- Anime Owned -->
  <xsl:if test="contains(Genres, 'Anime') and contains(CollectionType, 'Owned') and not(contains(Genres, 'Adult'))">
    <xsl:choose>
      <xsl:when test="string-length(BoxSet/Parent)&gt;0">
        <tr>
          <td class="box2" rowspan="2">
          </td>
          <td class="dvdtitle" colspan="2"><xsl:value-of select="Title"/>
            <xsl:if test="string-length(DistTrait)&gt;0">
              <xsl:text>: </xsl:text><xsl:value-of select="DistTrait"/>
            </xsl:if>
            <xsl:if test="string-length(OriginalTitle)&gt;0">
              <br/><xsl:text>(</xsl:text><xsl:value-of select="OriginalTitle"/><xsl:text>)</xsl:text>
            </xsl:if>
          </td>
        </tr>
        <tr>
          <td class="dvdcover">
            <xsl:element name="img">
              <xsl:attribute name="src">
                <xsl:value-of select="$thumbnail"/>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:text>Cover image for </xsl:text>
                <xsl:value-of select="Title"/>
              </xsl:attribute>
            </xsl:element>
            <br/>
            <xsl:element name="a">
              <xsl:attribute name="href">
                <xsl:value-of select="$frontcover"/>
              </xsl:attribute>
            <xsl:text>Frontcover</xsl:text>
            </xsl:element>
            <br/>
            <xsl:element name="a">
              <xsl:attribute name="href">
                <xsl:value-of select="$backcover"/>
              </xsl:attribute>
            <xsl:text>Backcover</xsl:text>
            </xsl:element>
          </td>
          <td>
          <xsl:call-template name="Features"/>
          </td>
        </tr>
    </xsl:when>
    <xsl:otherwise>
       <tr>
         <td class="dvdtitle" colspan="3"><xsl:value-of select="Title"/>
            <xsl:if test="string-length(DistTrait)&gt;0">
              <xsl:text>: </xsl:text><xsl:value-of select="DistTrait"/>
            </xsl:if>
            <xsl:if test="string-length(OriginalTitle)&gt;0">
              <br/><xsl:text>(</xsl:text><xsl:value-of select="OriginalTitle"/><xsl:text>)</xsl:text>
            </xsl:if>
         </td>
       </tr>
       <tr>
         <td class="dvdcover" colspan="2">
           <xsl:element name="img">
             <xsl:attribute name="src">
               <xsl:value-of select="$thumbnail"/>
             </xsl:attribute>
             <xsl:attribute name="alt">
               <xsl:text>Cover image for </xsl:text>
               <xsl:value-of select="Title"/>
             </xsl:attribute>
           </xsl:element>
           <br/>
           <xsl:element name="a">
             <xsl:attribute name="href">
               <xsl:value-of select="$frontcover"/>
             </xsl:attribute>
           <xsl:text>Frontcover</xsl:text>
           </xsl:element>
           <br/>
           <xsl:element name="a">
             <xsl:attribute name="href">
               <xsl:value-of select="$backcover"/>
             </xsl:attribute>
           <xsl:text>Backcover</xsl:text>
           </xsl:element>
         </td>
         <td>
         <xsl:call-template name="Features"/>
         </td>
       </tr>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:if>
</xsl:template>

<xsl:template name="Features">
            <table border="0" width="100%">
              <tr>
                <td colspan="2" class="dvddata"><xsl:apply-templates select="Credits"/></td>
              </tr>
              <tr>
                <td width="50%" class="dvddata"><xsl:value-of select="ProductionYear"/></td>
                <td width="50%" class="dvddata"><xsl:value-of select="RunningTime"/><xsl:text> min</xsl:text></td>
              </tr>
              <tr>
                <td colspan="2" class="dvddata"><xsl:text>Ratio: </xsl:text><xsl:value-of select="Format/FormatAspectRatio"/><xsl:text>:1 </xsl:text>
                <xsl:if test="contains(Format/Format16X9, 'True')">
                <xsl:text>anamorph </xsl:text>
                </xsl:if>
                <xsl:value-of select="Format/FormatVideoStandard"/>
                </td>
              </tr>
              <tr>
                <td class="dvddata"><xsl:apply-templates select="Regions"/></td>
                <td class="dvddata"><xsl:text>Rating: </xsl:text><xsl:value-of select="Rating"/></td>
              </tr>
              <tr>
                <td class="dvddata" colspan="2"><xsl:apply-templates select="Genres"/></td>
              </tr>
              <tr>
                <td class="dvddata"><xsl:text>Language</xsl:text></td>
                <td class="dvddata"><xsl:text>Format</xsl:text></td>
              </tr>
              <xsl:apply-templates select="Audio"/>
              <tr>
                <td class="dvddata" colspan="2"><xsl:apply-templates select="Subtitles"/></td>
              </tr>
            </table>
</xsl:template>


</xsl:stylesheet>
