<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 08.09.2012
     developed and tested with DVD Profiler Version 3.0 XML-export
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text" encoding="ISO-8859-1"/>

<xsl:template match="Collection">
<xsl:text>Title;CollectionType;DistTrait;AspectRatio;CollectionNumber;ProductionYear;RunningTime;Rating;CaseType;Regions;PurchasePlace;PurchasePrice;FormatLetterBox;FormatPanAndScan;FormatFullFrame;Format16X9;Released;PurchaseDate;Credits;Studios;Genres&#xa;</xsl:text>
  <xsl:apply-templates select="DVD"><xsl:sort select="SortTitle"/></xsl:apply-templates>
</xsl:template>

<xsl:template match="DVD">
<xsl:if test="contains(CollectionType, 'Owned')">
<!-- If you prefer the values enclosed in "" and a comma as seperator instead of the colon uncomment the according lines -->
<!--   <xsl:text>"</xsl:text> -->
  <xsl:value-of select="Title"/>
<!--   <xsl:text>","</xsl:text> -->
  <xsl:text>;</xsl:text>
  <xsl:value-of select="CollectionType"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="DistTrait"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="Format/FormatAspectRatio"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="CollectionNumber"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="ProductionYear"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="RunningTime"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="Rating"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="CaseType"/>
  <xsl:text>;</xsl:text>
  <xsl:apply-templates select="Regions"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="PurchaseInfo/PurchasePlace"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="PurchaseInfo/PurchasePrice"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="Format/FormatLetterBox"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="Format/FormatPanAndScan"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="Format/FormatFullFrame"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="Format/Format16X9"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="Released"/>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="PurchaseInfo/PurchaseDate"/>
  <xsl:text>;</xsl:text>
  <xsl:apply-templates select="Credits"/>
  <xsl:text>;</xsl:text>
  <xsl:apply-templates select="Studios"/>
  <xsl:text>;</xsl:text>
  <xsl:apply-templates select="Genres"/>
  <xsl:text>&#xa;</xsl:text>
</xsl:if>
</xsl:template>

<xsl:template match="Regions">
  <xsl:for-each select="Region">
    <xsl:value-of select="."/>
    <xsl:if test="not (position()=last())">
      <xsl:text>, </xsl:text>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

<xsl:template match="Credits">
  <xsl:for-each select="Credit[@CreditSubtype = 'Director']">
  <xsl:if test="position() &lt;= 3">
    <xsl:value-of select="@FirstName"/>
    <xsl:text> </xsl:text>
    <xsl:if test="string-length(@MiddleName)&gt;0">
      <xsl:value-of select="@MiddleName"/>
      <xsl:text> </xsl:text>
    </xsl:if>
    <xsl:value-of select="@LastName"/>
    <xsl:if test="not (position()=last())">
      <xsl:text>, </xsl:text>
    </xsl:if>
  </xsl:if>
  </xsl:for-each>
  <xsl:if test="count(Credit[@CreditSubtype = 'Director'])&gt;3">
  <xsl:text>other</xsl:text>
  </xsl:if>
</xsl:template>

<xsl:template match="Studios">
  <xsl:for-each select="Studio">
    <xsl:value-of select="."/>
    <xsl:if test="not (position()=last())">
      <xsl:text>, </xsl:text>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

<xsl:template match="Genres">
  <xsl:for-each select="Genre">
    <xsl:value-of select="."/>
    <xsl:if test="not (position()=last())">
      <xsl:text>, </xsl:text>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>